wgsim(1)

NAME
wgsim - Whole-genome sequencing read simulator

SYNOPSIS
wgsim [options] <in.ref.fa> <out.read1.fq> <out.read2.fq>

<in.ref.fa> must be a fasta file containing a reference genome.

<out.read1.fq> and <out.read2.fq> are the first and second read output files.

OPTIONS

-e FLOAT
    base error rate [0.000]

-d INT
    outer distance between the two ends [500]

-s INT
    standard deviation [50]

-N INT
    number of read pairs [1000000]

-1 INT
    length of the first read [70]

-2 INT
    length of the second read [70]

-r FLOAT
    rate of mutations [0.0010]

-R FLOAT
    fraction of indels [0.15]

-X FLOAT
    probability an indel is extended [0.30]

-S INT
    seed for random generator [-1]

-A FLOAT
    discard if the fraction of ambiguous bases higher than FLOAT [0.05]

-h  haplotype mode

Parameter defaults are given in square brackets.

AUTHOR
Copyright 2008 Genome Research Limited.
Copyright 2011 Heng Li.

wgsim is part of samtools, https://github.com/samtools/samtools